Bug 889789 - Changing the Titlebar Action has no effect
Summary: Changing the Titlebar Action has no effect
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-control-center
Version: 18
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-23 15:06 UTC by Ryan Miller
Modified: 2013-02-01 17:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-24 21:54:13 UTC


Attachments (Terms of Use)

Description Ryan Miller 2012-12-23 15:06:07 UTC
Description of problem: When changing the Titlebar Action in the Windows preferences in MATE, there is no effect on the result of double-clicking on the title bar.


Version-Release number of selected component (if applicable): MATE Desktop Environment 1.5.5 - Fedora 18 Beta


How reproducible: Always


Steps to Reproduce:
1. Goto System Menu, Preferences, then Windows.
2. Change the Titlebar Action to something other than "Roll up"
3. Double-click the title on any application, and the result is still roll up, rather than the select type of maximization.
  
Actual results: Windows always perform the "roll up" action when double-clicking the title bar.


Expected results: Windows should perform the selected double click action selected in the Windows Preferences.


Additional info: Fresh install of Fedora 18 Beta with latest YUM updates.

Comment 1 Dan Mashal 2012-12-23 19:43:21 UTC
Confirmed this bug.

Comment 2 Dan Mashal 2012-12-24 04:12:38 UTC
Please change back to "Maximize" and log out and log back in.

Logged issue with upstream.

Comment 3 Fedora Update System 2013-01-12 02:16:34 UTC
mate-window-manager-1.5.2-11.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-window-manager-1.5.2-11.fc16

Comment 4 Fedora Update System 2013-01-12 02:16:46 UTC
mate-window-manager-1.5.2-11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-window-manager-1.5.2-11.fc17

Comment 5 Fedora Update System 2013-01-12 02:16:55 UTC
mate-window-manager-1.5.2-11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-window-manager-1.5.2-11.fc18

Comment 6 Fedora Update System 2013-01-12 03:44:59 UTC
mate-control-center-1.5.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-control-center-1.5.2-2.fc17

Comment 7 Fedora Update System 2013-01-12 03:45:11 UTC
mate-control-center-1.5.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-control-center-1.5.2-2.fc18

Comment 8 Fedora Update System 2013-01-12 03:45:21 UTC
mate-control-center-1.5.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-control-center-1.5.2-2.fc16

Comment 9 Fedora Update System 2013-01-12 15:03:34 UTC
Package mate-control-center-1.5.2-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-control-center-1.5.2-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0622/mate-control-center-1.5.2-2.fc18
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-01-18 16:31:06 UTC
mate-control-center-1.5.3-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-control-center-1.5.3-3.fc16

Comment 11 Fedora Update System 2013-01-18 16:31:22 UTC
mate-control-center-1.5.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-control-center-1.5.3-3.fc18

Comment 12 Fedora Update System 2013-01-18 16:31:47 UTC
mate-control-center-1.5.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-control-center-1.5.3-3.fc17

Comment 13 Ryan Miller 2013-01-20 04:32:49 UTC
This bug is still present on Fedora 18 Stable Release with all yum updates.

Comment 14 Fedora Update System 2013-01-24 21:54:15 UTC
mate-window-manager-1.5.2-11.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-01-24 22:35:42 UTC
mate-window-manager-1.5.2-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2013-01-24 22:36:15 UTC
mate-window-manager-1.5.2-11.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2013-02-01 16:43:06 UTC
mate-control-center-1.5.3-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2013-02-01 16:50:49 UTC
mate-control-center-1.5.3-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2013-02-01 17:20:45 UTC
mate-control-center-1.5.3-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.